Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Po Lu <[email-masked]>
Date: Sun, 01 May 2022 17:19:52 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> I did those already, I think?

Yes, sorry, I missed that.

> See the bug report for the discussion about this.

I looked in the bug report thread, and ISTM that the consensus was to
not add such a variable, instead fixing all the code that used
`x-show-tip' directly to use `tooltip-show'.

In general, using `x-show-tip' directly comes with many pitfalls, some
of which are not easy to come by, so authors of third-party Lisp should
not call that function directly without a detailed understanding of the
different layers of tooltip machinery.  That understanding includes
providing an appropriate `timeout' parameter.